function modelLP = linearStructure_OCTAVE(model)
% Translates MILP problem into LP problem (OCTAVE)
% Inputs:  model   (MILP formulation)
% Outputs: modelLP (LP formulation)
%%%%%%%%%%%%%%%%%%%%%% Pedro Saa UQ 2015 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
mets                = size(model.S,1);
modelLP.numRxns     = size(model.S,2);
modelLP.obj         = zeros(modelLP.numRxns,1);
modelLP.A           = model.S;
modelLP.S           = modelLP.A;
modelLP.rhs         = zeros(size(model.S,1),1);
modelLP.lb          = model.lb(1:modelLP.numRxns);
modelLP.ub          = model.ub(1:modelLP.numRxns);
modelLP.sense       = -1;
modelLP.description = model.description;
modelLP.rev         = (modelLP.lb<0).*(modelLP.ub>0);

% Sign assignation
modelLP.ctype = blanks(mets);
for i = 1:mets
  modelLP.ctype(i) = 'S';
end

% Assignation of variable types
modelLP.vartype = blanks(modelLP.numRxns);
for i = 1:modelLP.numRxns
  modelLP.vartype(i) = 'C';
end