function [model,removedCoeffs,discartedMets] = processBiomassRxnCbModel(model,objIdx,tol)
% Remove trace elements from biomass equation
% Inputs:  model structure, biomass rxn index, numerical tol (e.g. 1e-3)
%
% Outputs: model pre-processed, removed coeffs vector, discarted mets from
%          the biomass equation
%%%%%%%%%%%%%%%%%%%%%% Pedro Saa UQ 2015 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
params.outputflag     = 0;
params.OptimalityTol  = 1e-9;
params.IntFeasTol     = 1e-9;
params.FeasibilityTol = 1e-9;
params.MIPGapAbs      = 1e-12;
params.MIPGap         = 1e-12;
model.obj(objIdx)     = 1;
initSol               = gurobi(model,params);
discartedMets         = find((model.A(:,objIdx)~=0).*(abs(model.A(:,objIdx))<tol));
removedCoeffs         = full(model.A(discartedMets,objIdx));
model.A(discartedMets,objIdx) = 0;
model.S               = model.A;
discartedMets         = model.mets(discartedMets);

% Compare initial and final solutions
finalSol = gurobi(model,params);
disp(['Relative difference in obj fxn: ',num2str(100*abs(1-finalSol.objval/initSol.objval))]);